Bug 740570 - Org info window should auto-close when org is deleted.
Summary: Org info window should auto-close when org is deleted.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: katello-blockers
TreeView+ depends on / blocked
 
Reported: 2011-09-22 14:02 UTC by Corey Welton
Modified: 2013-08-16 18:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-22 17:57:42 UTC


Attachments (Terms of Use)

Description Corey Welton 2011-09-22 14:02:34 UTC
Description of problem:
When an org is deleted, the info window for said org does not actually close. Thus, user can (try to) edit details, add new environment etc. - and get errors. We should just close this window once and for all, once the org is deleted.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Create a new org, "nowayjose"
2.  remove organization; confirm
3.  noting the org info still appears in right pane, click around, attempt to edit description, add environments, etc.
  
Actual results:
Numerous errors, which are understandable, since the org no longer exists.

Expected results:
We should close this pane upon delete so that user can never try to edit things for which a parent org doesn't exist.


Additional info:

Comment 1 Brad Buckingham 2011-09-29 00:08:34 UTC
git commit: a70e5cc9e2b44cbdbc106689e01ec1046b5a87fd

Comment 2 Corey Welton 2011-10-25 03:59:28 UTC
QA Verified.

Comment 5 Mike McCune 2013-08-16 18:17:46 UTC
getting rid of 6.0.0 version since that doesn't exist


Note You need to log in before you can comment on or make changes to this bug.